<?php

use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN motor_marked_datetime TIMESTAMP DEFAULT NULL
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN pump_marked_datetime TIMESTAMP DEFAULT NULL
        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN name_plate_marked_datetime TIMESTAMP DEFAULT NULL
        SQL;

        DB::statement($sql3);

        $sql4 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN winded_rework_status TEXT DEFAULT '0'
        SQL;

        DB::statement($sql4);

        $sql5 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN is_stopped TEXT DEFAULT '0'
        SQL;

        DB::statement($sql5);

        $sql6 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN stopped_datetime TIMESTAMP DEFAULT NULL
        SQL;

        DB::statement($sql6);

        $sql7 = <<<'SQL'
        ALTER TABLE class_characteristics
        ADD COLUMN stopped_by TEXT DEFAULT NULL
        SQL;

        DB::statement($sql7);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('class_characteristics', function (Blueprint $table) {
        //     //
        // });
    }
};
